From a26cc1e7e299b61d1877ead03aacafef9fbe81ff Mon Sep 17 00:00:00 2001
From: "Robin H. Johnson" <robbat2@gentoo.org>
Date: Fri, 25 Oct 2019 08:45:17 +0200
Subject: [PATCH] Add Gentoo specific changes

Forward-ported from 2.03.05 to 2.03.06
Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
---
 conf/example.conf.in | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/conf/example.conf.in b/conf/example.conf.in
index 05b0857920..33ffb0097c 100644
--- a/conf/example.conf.in
+++ b/conf/example.conf.in
@@ -143,6 +143,9 @@ devices {
 	# Example
 	# Accept every block device:
 	# filter = [ "a|.*|" ]
+	# Gentoo: we exclude /dev/nbd by default, because it makes a lot of kernel
+	# noise when you probed while not available.
+	filter = [ "r|/dev/nbd.*|", "a|.*|" ]
 	# Reject the cdrom drive:
 	# filter = [ "r|/dev/cdrom|" ]
 	# Work with just loopback devices, e.g. for testing:
@@ -1680,7 +1683,7 @@ activation {
 
 # Configuration section metadata.
 # This configuration section has an automatic default value.
-# metadata {
+metadata {
 
 	# Configuration option metadata/check_pv_device_sizes.
 	# Check device sizes are not smaller than corresponding PV sizes.
@@ -1725,7 +1728,8 @@ activation {
 	# 
 	# This configuration option is advanced.
 	# This configuration option has an automatic default value.
-	# pvmetadatacopies = 1
+	# Gentoo: enable for data safety, but PV resize is then disabled.
+	# pvmetadatacopies = 2
 
 	# Configuration option metadata/vgmetadatacopies.
 	# Number of copies of metadata to maintain for each VG.
@@ -1768,7 +1772,7 @@ activation {
 	# This configuration option is advanced.
 	# This configuration option has an automatic default value.
 	# stripesize = 64
-# }
+}
 
 # Configuration section report.
 # LVM report command output formatting.
-- 
2.24.0.rc1

